﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Linq;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;
using Telerik.Windows.Data;
using System.Collections.Generic;
using System.Collections;

namespace RadGridView_SL5_AR_15
{
	public class MyViewModel : INotifyPropertyChanged
	{
		public event PropertyChangedEventHandler PropertyChanged;

		private QueryableCollectionView clubs1;
		private QueryableCollectionView clubs2;
		private ObservableCollection<Player> players;
		private object selectedItem;

		public QueryableCollectionView Clubs1
		{
			get
			{
				if (this.clubs1 == null)
				{
					this.clubs1 =
					 new QueryableCollectionView(Club.GetClubs().Select(c => c));
				}
				return this.clubs1;
			}
		}

		public QueryableCollectionView Clubs2
		{
			get
			{
				if (this.clubs2 == null)
				{
					this.clubs2 =
					new QueryableCollectionView(Club.GetClubs().Select(c => c).ToList<Club>());
				}
				return this.clubs2;
			}
		}

		public ObservableCollection<Player> Players
		{
			get
			{
				if (this.players == null)
				{
					this.players = Player.GetPlayers();
				}

				return this.players;
			}
		}

		public object SelectedItem
		{
			get { return this.selectedItem; }
			set
			{
				if (value != this.selectedItem)
				{
					this.selectedItem = value;
					this.OnPropertyChanged("SelectedItem");
				}
			}
		}

		protected virtual void OnPropertyChanged(PropertyChangedEventArgs args)
		{
			PropertyChangedEventHandler handler = this.PropertyChanged;
			if (handler != null)
			{
				handler(this, args);
			}
		}

		private void OnPropertyChanged(string propertyName)
		{
			this.OnPropertyChanged(new PropertyChangedEventArgs(propertyName));
		}
	}
}
